ModernLoop Internal API
Apilinear

Execute a GraphQL query or mutation against Linear

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/linear/graphql" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{  "data": "string",  "errors": [    {      "message": "string",      "path": [        "string"      ],      "locations": [        {          "line": 0,          "column": 0        }      ],      "extensions": {        "property1": "string",        "property2": "string"      }    }  ],  "extensions": {    "property1": "string",    "property2": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

query*string

GraphQL document

Length1 <= length
variables?|null
operationName?string
extensions?

Response Body

application/json

application/json

application/json

application/json

application/json